/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.expander.query.field;

import blanco.ig.expander.IgType;
import blanco.ig.expander.Scope;
import blanco.ig.expander.field.FieldExpander;

/**
 * QueryクラスのfTransactionフィールドです。
 * 
 * @author IGA Tosiki
 */
public class TransactionFieldDotNet extends FieldExpander {
    /**
     * QueryクラスのfConnectionフィールドのコンストラクタです。
     * 
     * @author IGA Tosiki
     */
    public TransactionFieldDotNet() {
        super(new IgType("System.Data.SqlClient.SqlTransaction"),
                "fTransaction");

        getJavaDoc().addLine("このクラスが内部的に利用するデータベーストランザクションオブジェクト。");
        getJavaDoc().addLine("");
        getJavaDoc().addLine("データベーストランザクションオブジェクトはコンストラクタの引数として外部から与えられます。");
        getJavaDoc().addLine("トランザクションのコミットやロールバックは、このクラスの内部では実行しません。");
    }

    /**
     * ジェネレーションギャップデザインパターンが利用可能になる目的で、スコープはprotectedとします。
     */
    protected Scope getScope() {
        return Scope.PROTECTED;
    }
}
